Bug 735608 - [abrt] blender-2.49b-17.fc15: list_add: Process /usr/bin/blender.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] blender-2.49b-17.fc15: list_add: Process /usr/bin/blender.bin was kill...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:16065f6618e300b3b728c01ac20...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 02:47 UTC by Renich Bon Ciric
Modified: 2012-08-01 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-01 18:41:21 UTC


Attachments (Terms of Use)
File: maps (35.82 KB, text/plain)
2011-09-04 02:47 UTC, Renich Bon Ciric
no flags Details

Description Renich Bon Ciric 2011-09-04 02:47:09 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/blender.bin
comment:        I was randomly playing with blender (creating a game). I've reported this issue before but it has a different signal (6) and 11 this time.
component:      blender
crash_function: list_add
executable:     /usr/bin/blender.bin
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        blender-2.49b-17.fc15
reason:         Process /usr/bin/blender.bin was killed by signal 11 (SIGSEGV)
time:           Fri Sep  2 23:46:02 2011
uid:            500
username:       renich

maps:           Text file, 36679 bytes

backtrace:
:Missing separate debuginfo for /usr/lib/libtxc_dxtn.so
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/cb/8d38c68fe237f81a776aef2ba18475c8cca079
:[New LWP 22417]
:warning: .dynamic section for "/usr/lib64/libopenal.so.1" is not at the expected address (wrong library or version mismatch?)
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3a/8fe6cb0063d56fc9be76ecd085c05f1b8a76e6
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/blender.bin'.
:Program terminated with signal 11, Segmentation fault.
:#0  list_add (list=0x1b28140, item=0x222f780) at ../../../../src/gallium/auxiliary/util/u_double_list.h:61
:61	    list->next->prev = item;
:
:Thread 1 (Thread 0x7f21e49db740 (LWP 22417)):
:#0  list_add (list=0x1b28140, item=0x222f780) at ../../../../src/gallium/auxiliary/util/u_double_list.h:61
:No locals.
:#1  nouveau_fence_work (fence=0x1b28120, func=0x7f21dcf7ece0 <nouveau_mm_free_work>, data=0x2945ea0) at nouveau_fence.c:80
:        work = 0x222f780
:#2  0x00007f21dcf7f0b8 in release_allocation (fence=<optimized out>, mm=0x2b5d3f8) at nouveau_buffer.c:54
:No locals.
:#3  nouveau_buffer_release_gpu_storage (buf=0x2b5d390) at nouveau_buffer.c:64
:No locals.
:#4  nouveau_buffer_destroy (pscreen=<optimized out>, presource=0x2b5d390) at nouveau_buffer.c:84
:        res = 0x2b5d390
:#5  0x00007f21dd0d03c9 in pipe_resource_reference (ptr=0x1867008, tex=<optimized out>) at ../../src/gallium/auxiliary/util/u_inlines.h:123
:        old_tex = <optimized out>
:        tex = 0x0
:#6  setup_bitmap_vertex_data (color=0x187d988, z=<optimized out>, height=32, width=512, y=282, x=522, normalized=<optimized out>, st=0x1866600) at state_tracker/st_cb_bitmap.c:346
:        fb = 0x0
:        x0 = <optimized out>
:        i = <optimized out>
:        fb_height = <optimized out>
:        x1 = <optimized out>
:        sLeft = 0
:        sRight = <optimized out>
:        tTop = 0
:        clip_y0 = <optimized out>
:        max_slots = 1
:        pipe = 0x17871b0
:        clip_x0 = <optimized out>
:        clip_y1 = <optimized out>
:        fb_width = <optimized out>
:        tBot = <optimized out>
:        clip_x1 = <optimized out>
:#7  draw_bitmap_quad (ctx=<optimized out>, x=522, y=282, z=<optimized out>, width=512, height=32, sv=0x2d31640, color=0x187d988) at state_tracker/st_cb_bitmap.c:519
:        st = 0x1866600
:        pipe = 0x17871b0
:        cso = 0x187cb70
:        fpv = <optimized out>
:        key = {st = 0x1866600, bitmap = 1, drawpixels = 0, scaleAndBias = 0, pixelMaps = 0, drawpixels_z = 0, drawpixels_stencil = 0}
:#8  0x00007f21dd0d06d2 in st_flush_bitmap_cache (st=0x1866600) at state_tracker/st_cb_bitmap.c:653
:        pipe = <optimized out>
:        sv = 0x2d31640
:        cache = 0x187d970
:#9  st_flush_bitmap_cache (st=0x1866600) at state_tracker/st_cb_bitmap.c:621
:No locals.
:#10 0x00007f21dd0cb8a5 in st_validate_state (st=0x1866600) at state_tracker/st_atom.c:140
:        state = 0x1866e50
:#11 0x00007f21dd021695 in st_draw_vbo (ctx=0x1816290, arrays=0x1869e70, prims=0x186848c, nr_prims=1, ib=0x0, index_bounds_valid=<optimized out>, min_index=0, max_index=3) at state_tracker/st_draw.c:700
:        vertDataEdgeFlags = <optimized out>
:        st = 0x1866600
:        pipe = 0x17871b0
:        ibuffer = {index_size = 2415919113, offset = 0, buffer = 0x7f21dd0d1589}
:        info = {indexed = 144 '\220', mode = 0, start = 25611072, count = 0, start_instance = 24670640, instance_count = 0, index_bias = 28475680, min_index = 0, max_index = 25588768, primitive_restart = 0 '\000', restart_index = 25592224}
:        i = <optimized out>
:        num_instances = <optimized out>
:        new_array = <optimized out>
:#12 0x00007f21dd01eb18 in vbo_exec_vtx_flush (exec=0x18681a0, keepUnmapped=1 '\001') at vbo/vbo_exec_draw.c:390
:        ctx = 0x1816290
:#13 0x00007f21dd01803c in vbo_exec_FlushVertices_internal (exec=0x18681a0, unmap=<optimized out>) at vbo/vbo_exec_api.c:545
:No locals.
:#14 0x00007f21dd01c9ac in vbo_exec_FlushVertices (ctx=0x1816290, flags=<optimized out>) at vbo/vbo_exec_api.c:996
:        exec = <optimized out>
:#15 0x00007f21dcfbec56 in _mesa_ShadeModel (mode=7424) at main/light.c:55
:        ctx = 0x1816290
:#16 0x00000000007bda59 in shaded_button (x1=595, y1=10, x2=605, y2=20, asp=<optimized out>, colorid=26, flag=<optimized out>, mid=0) at source/blender/src/interface_draw.c:299
:No locals.
:#17 0x00000000007be6ae in ui_default_button (flag=49161, y2=20, x2=605, y1=10, x1=595, asp=0.999479353, colorid=26, type=1536) at source/blender/src/interface_draw.c:668
:        align = 49152
:#18 ui_draw_default (type=1536, colorid=26, aspect=0.999479353, x1=595, y1=10, x2=605, y2=20, flag=49161) at source/blender/src/interface_draw.c:960
:No locals.
:#19 0x00000000007c124c in ui_draw_but (but=0x2a9bdc0) at source/blender/src/interface_draw.c:2481
:        value = <optimized out>
:        x1 = <optimized out>
:        x2 = <optimized out>
:        y1 = <optimized out>
:        y2 = <optimized out>
:#20 0x0000000000742ab1 in uiDrawBlock (block=0x2a534e0) at source/blender/src/interface.c:1048
:        but = 0x2a9bdc0
:        testmouse = 1
:        mouse = {824, 712}
:#21 0x00000000005838e5 in scrarea_do_headdraw (area=0x1e35640) at source/blender/src/editscreen.c:422
:No locals.
:#22 scrarea_do_headdraw (area=0x1e35640) at source/blender/src/editscreen.c:409
:No locals.
:#23 0x0000000000587192 in scrarea_dispatch_header_events (sa=0x1e35640) at source/blender/src/editscreen.c:580
:        tempsa = <optimized out>
:        evt = {event = 18, val = 1, ascii = 0 '\000'}
:        do_redraw = 1
:        do_change = 0
:#24 screen_dispatch_events () at source/blender/src/editscreen.c:1224
:        events_remaining = <optimized out>
:        sa = 0x1e35640
:#25 screenmain () at source/blender/src/editscreen.c:1516
:        event = <optimized out>
:        val = 998
:        towin = <optimized out>
:        ascii = 0 '\000'
:        firsttime = 0
:        onload_script = 0
:#26 0x000000000055b9dc in main (argc=1, argv=0x7fff325283b8) at source/creator/creator.c:892
:        a = <optimized out>
:        i = <optimized out>
:        stax = <optimized out>
:        stay = <optimized out>
:        sizx = 1920
:        sizy = 1080
:        scr_init = <optimized out>
:        syshandle = 0x151b190
:        audio = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x0000003309004bc0  0x000000330901a40c  Yes         /usr/lib64/libopenjpeg.so.3.1.4.0
:0x000000330bc03c60  0x000000330bc3283c  Yes         /usr/lib64/libjpeg.so.62.0.0
:0x00000032ffc04890  0x00000032ffc1eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x00000032fc001e70  0x00000032fc00e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003037e3e5b0  0x0000003037f23e5c  Yes         /usr/lib64/libpython2.7.so.1.0
:0x000000326760c970  0x000000326767391c  Yes         /usr/lib64/libfreetype.so.6.6.2
:0x0000003fad208d70  0x0000003fad239f1c  Yes         /usr/lib64/libqhull.so.5.0.0
:0x00007f21e49f7c00  0x00007f21e4a2af1c  Yes (*)     /usr/lib64/libopenal.so.1
:0x0000003307a00980  0x0000003307a00e6c  Yes         /usr/lib64/libHalf.so.6.0.0
:0x00000035db02cb40  0x00000035db06d34c  Yes         /usr/lib64/libIlmImf.so.6.0.0
:0x0000003307212600  0x000000330721692c  Yes         /usr/lib64/libIex.so.6.0.0
:0x00000035db402140  0x00000035db403b6c  Yes         /usr/lib64/libImath.so.6.0.0
:0x0000003308807e80  0x000000330885a23c  Yes         /usr/lib64/libSDL-1.2.so.0.11.3
:0x00000035db833920  0x00000035db84c5bc  Yes         /usr/lib64/libGLEW.so.1.5.8
:0x0000003310824f40  0x0000003310859cfc  Yes         /usr/lib64/libGL.so.1.2
:0x000000330a8047d0  0x000000330a8562cc  Yes         /usr/lib64/libGLU.so.1.3.071100
:0x00000032fe81dce0  0x00000032fe8a97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x0000003300401f00  0x000000330040c57c  Yes         /usr/lib64/libXi.so.6.1.0
:0x0000003037200e10  0x000000303720168c  Yes         /lib64/libutil-2.14.so
:0x00000032fac1ece0  0x00000032fad4338c  Yes         /lib64/libc-2.14.so
:0x00000032fbc03ea0  0x00000032fbc43e9c  Yes         /lib64/libm-2.14.so
:0x00000032fb400de0  0x00000032fb40191c  Yes         /lib64/libdl-2.14.so
:0x00000032fb005660  0x00000032fb0103cc  Yes         /lib64/libpthread-2.14.so
:0x000000330485a400  0x00000033048c308a  Yes         /usr/lib64/libstdc++.so.6.0.16
:0x00000032fc4028a0  0x00000032fc4120cc  Yes         /lib64/libgcc_s-4.6.0-20110603.so.1
:0x00000032fb802160  0x00000032fb8053ec  Yes         /lib64/librt-2.14.so
:0x0000003309c02d90  0x0000003309c0406c  Yes         /usr/lib64/libIlmThread.so.6.0.0
:0x00000032ff403460  0x00000032ff40e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x0000003301400a90  0x000000330140160c  Yes         /usr/lib64/libXdamage.so.1.1.0
:0x00000033010013e0  0x000000330100450c  Yes         /usr/lib64/libXfixes.so.3.1.0
:0x0000003310400e10  0x0000003310403bfc  Yes         /usr/lib64/libXxf86vm.so.1.0.0
:0x0000003315002e60  0x00000033150075ac  Yes         /usr/lib64/libdrm.so.2.4.0
:0x00000032fec08660  0x00000032fec13b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x00000032fa800b20  0x00000032fa818cca  Yes         /lib64/ld-2.14.so
:0x00000032fe400dd0  0x00000032fe401b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x00007f21e46980c0  0x00007f21e469d6fc  Yes         /usr/lib64/python2.7/lib-dynload/_socketmodule.so
:0x00007f21e4492fe0  0x00007f21e4493adc  Yes         /usr/lib64/python2.7/lib-dynload/_functoolsmodule.so
:0x00007f21e428d160  0x00007f21e428feec  Yes         /usr/lib64/python2.7/lib-dynload/_ssl.so
:0x000000330b414560  0x000000330b44697c  Yes         /usr/lib64/libssl.so.1.0.0d
:0x000000330645c880  0x00000033065219bc  Yes         /lib64/libcrypto.so.1.0.0d
:0x00007f21e402ed60  0x00007f21e405af3c  Yes         /lib64/libgssapi_krb5.so.2.2
:0x000000330801a670  0x000000330808e30c  Yes         /lib64/libkrb5.so.3.3
:0x00000033068013b0  0x0000003306801fac  Yes         /lib64/libcom_err.so.2.1
:0x0000003308404710  0x000000330841d09c  Yes         /lib64/libk5crypto.so.3.1
:0x00007f21e3e1d820  0x00007f21e3e228ac  Yes         /lib64/libkrb5support.so.0.1
:0x00007f21e3c19aa0  0x00007f21e3c19f7c  Yes         /lib64/libkeyutils-1.2.so
:0x00000032fd003840  0x00000032fd01353c  Yes         /lib64/libresolv-2.14.so
:0x00000032fc805980  0x00000032fc8159dc  Yes         /lib64/libselinux.so.1
:0x00007f21e3a15a40  0x00007f21e3a1685c  Yes         /usr/lib64/python2.7/lib-dynload/cStringIO.so
:0x00007f21dcef7420  0x00007f21dd1759fc  Yes         /usr/lib64/dri/nouveau_dri.so
:0x0000003169a03b70  0x0000003169a1d84c  Yes         /lib64/libexpat.so.1.5.2
:0x00007f21dccbd7d0  0x00007f21dccbfd6c  Yes         /usr/lib64/libdrm_nouveau.so.1.0.0
:0x00007f21dbc54680  0x00007f21dc63432c  Yes         /usr/lib64/llvm/libLLVM-2.8.so
:0x0000003316801840  0x0000003316805f3c  Yes         /usr/lib64/libffi.so.5.0.10
:                                        No          /usr/lib/libtxc_dxtn.so
:0x00000033020028d0  0x000000330200749c  Yes         /usr/lib64/libXcursor.so.1.0.2
:0x0000003300c01910  0x0000003300c0810c  Yes         /usr/lib64/libXrender.so.1.3.0
:0x0000003308c07830  0x0000003308c39d6c  Yes         /usr/lib64/libtiff.so.3.9.5
:0x00007f21d8beb390  0x00007f21d8bee88c  Yes         /usr/lib64/python2.7/lib-dynload/math.so
:0x000000316fa0aec0  0x000000316fa3221c  Yes         /usr/lib64/libpulse.so.0.12.3
:0x000000317020f620  0x000000317023a85c  Yes         /usr/lib64/libpulsecommon-0.9.22.so
:0x0000003313e004e0  0x0000003313e0060c  Yes         /usr/lib64/libX11-xcb.so.1.0.0
:0x000000330a001ad0  0x000000330a005d7c  Yes         /usr/lib64/libSM.so.6.0.1
:0x000000330a404cf0  0x000000330a412eac  Yes         /usr/lib64/libICE.so.6.3.0
:0x0000003311c01380  0x0000003311c042dc  Yes         /usr/lib64/libXtst.so.6.1.0
:0x000000330f801690  0x000000330f801d2c  Yes         /usr/lib64/libxcb-atom.so.1.0.0
:0x0000003313202ee0  0x00000033132069bc  Yes         /lib64/libwrap.so.0.7.6
:0x0000003170606190  0x00000031706486ec  Yes         /usr/lib64/libsndfile.so.1.0.25
:0x0000003313a011c0  0x0000003313a036cc  Yes         /usr/lib64/libasyncns.so.0.3.1
:0x00000033040076f0  0x000000330403051c  Yes         /lib64/libdbus-1.so.3.5.4
:0x00000033058014f0  0x0000003305802aec  Yes         /lib64/libuuid.so.1.3.0
:0x000000330e403ff0  0x000000330e4117fc  Yes         /lib64/libnsl-2.14.so
:0x000000330f00be70  0x000000330f030e08  Yes         /usr/lib64/libFLAC.so.8.2.0
:0x00000033120139c0  0x0000003312015fac  Yes         /usr/lib64/libvorbisenc.so.2.0.8
:0x000000330c403700  0x000000330c41a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x000000330c0018d0  0x000000330c003f7c  Yes         /usr/lib64/libogg.so.0.7.1
:(*): Shared library is missing debugging information.
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x1b28120	28475680
:rcx            0x0	0
:rdx            0x222f780	35846016
:rsi            0x20	32
:rdi            0x32faf951e0	218959008224
:rbp            0x7f21dcf7ece0	0x7f21dcf7ece0
:rsp            0x7fff32527a30	0x7fff32527a30
:r8             0x3	3
:r9             0x10	16
:r10            0x1f00000000	133143986176
:r11            0x0	0
:r12            0x2945ea0	43277984
:r13            0x187d988	25680264
:r14            0x17871b0	24670640
:r15            0x2d31640	47388224
:rip            0x7f21dcf7e4c7	0x7f21dcf7e4c7 <nouveau_fence_work+87>
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function nouveau_fence_work:
:   0x00007f21dcf7e470 <+0>:	mov    %rbx,-0x18(%rsp)
:   0x00007f21dcf7e475 <+5>:	mov    %rbp,-0x10(%rsp)
:   0x00007f21dcf7e47a <+10>:	mov    %rdi,%rbx
:   0x00007f21dcf7e47d <+13>:	mov    %r12,-0x8(%rsp)
:   0x00007f21dcf7e482 <+18>:	sub    $0x18,%rsp
:   0x00007f21dcf7e486 <+22>:	test   %rdi,%rdi
:   0x00007f21dcf7e489 <+25>:	mov    %rsi,%rbp
:   0x00007f21dcf7e48c <+28>:	mov    %rdx,%r12
:   0x00007f21dcf7e48f <+31>:	je     0x7f21dcf7e4f0 <nouveau_fence_work+128>
:   0x00007f21dcf7e491 <+33>:	cmpl   $0x3,0x10(%rdi)
:   0x00007f21dcf7e495 <+37>:	je     0x7f21dcf7e4f0 <nouveau_fence_work+128>
:   0x00007f21dcf7e497 <+39>:	mov    $0x20,%esi
:   0x00007f21dcf7e49c <+44>:	mov    $0x1,%edi
:   0x00007f21dcf7e4a1 <+49>:	callq  0x7f21dcef6618 <calloc@plt>
:   0x00007f21dcf7e4a6 <+54>:	mov    %rax,%rdx
:   0x00007f21dcf7e4a9 <+57>:	xor    %eax,%eax
:   0x00007f21dcf7e4ab <+59>:	test   %rdx,%rdx
:   0x00007f21dcf7e4ae <+62>:	je     0x7f21dcf7e4d3 <nouveau_fence_work+99>
:   0x00007f21dcf7e4b0 <+64>:	lea    0x20(%rbx),%rax
:   0x00007f21dcf7e4b4 <+68>:	mov    %rbp,0x10(%rdx)
:   0x00007f21dcf7e4b8 <+72>:	mov    %r12,0x18(%rdx)
:   0x00007f21dcf7e4bc <+76>:	mov    %rax,(%rdx)
:   0x00007f21dcf7e4bf <+79>:	mov    0x28(%rbx),%rax
:   0x00007f21dcf7e4c3 <+83>:	mov    %rax,0x8(%rdx)
:=> 0x00007f21dcf7e4c7 <+87>:	mov    %rdx,(%rax)
:   0x00007f21dcf7e4ca <+90>:	mov    $0x1,%eax
:   0x00007f21dcf7e4cf <+95>:	mov    %rdx,0x28(%rbx)
:   0x00007f21dcf7e4d3 <+99>:	mov    (%rsp),%rbx
:   0x00007f21dcf7e4d7 <+103>:	mov    0x8(%rsp),%rbp
:   0x00007f21dcf7e4dc <+108>:	mov    0x10(%rsp),%r12
:   0x00007f21dcf7e4e1 <+113>:	add    $0x18,%rsp
:   0x00007f21dcf7e4e5 <+117>:	retq   
:   0x00007f21dcf7e4e6 <+118>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x00007f21dcf7e4f0 <+128>:	mov    %r12,%rdi
:   0x00007f21dcf7e4f3 <+131>:	callq  *%rbp
:   0x00007f21dcf7e4f5 <+133>:	mov    $0x1,%eax
:   0x00007f21dcf7e4fa <+138>:	jmp    0x7f21dcf7e4d3 <nouveau_fence_work+99>
:End of assembler dump.

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306253253
:/usr/lib64/libHalf.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306252996
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310784304
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306252959
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306252958
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1306252961
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1307766831
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306252958
:/usr/lib64/python2.7/lib-dynload/_ssl.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.9-2.fc15.x86_64 (Fedora Project) 1306252953
:/usr/lib64/libGL.so.1.2 mesa-libGL-7.11-1.fc15.x86_64 (Fedora Project) 1313307044
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1306252952
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1306253252
:/usr/lib64/libIlmThread.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306252996
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306252952
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1306253253
:/lib64/libnsl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/python2.7/lib-dynload/math.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1306252952
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312438236
:/usr/lib64/libIex.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306252996
:/usr/lib64/libopenjpeg.so.3.1.4.0 openjpeg-libs-1.4-6.fc15.x86_64 (Fedora Project) 1306252988
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.x86_64 (Fedora Project) 1311120117
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306253251
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306253043
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1306253253
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1306253253
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306253252
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306253250
:/usr/lib64/libGLEW.so.1.5.8 libGLEW-1.5.8-4.fc15.x86_64 (Fedora Project) 1310784674
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306253252
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1306252979
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311120103
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312310376
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310784304
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/dri/nouveau_dri.so mesa-dri-drivers-7.11-1.fc15.x86_64 (Fedora Project) 1313307058
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306253043
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310784304
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311037557
:/usr/lib64/libGLU.so.1.3.071100 mesa-libGLU-7.11-1.fc15.x86_64 (Fedora Project) 1313307076
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1306252949
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306252959
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306253250
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306252952
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306252947
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306253251
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310784304
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.x86_64 (Fedora Project) 1311408728
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312438237
:/usr/lib64/llvm/libLLVM-2.8.so llvm-libs-2.8-12.fc15.x86_64 (Fedora Project) 1314308507
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1306252965
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313307029
:/usr/lib64/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.x86_64 (Fedora Project) 1306253128
:/usr/bin/blender.bin blender-1:2.49b-17.fc15.x86_64 (Fedora Project) 1314435685
:/usr/lib64/libqhull.so.5.0.0 qhull-2003.1-15.fc15.x86_64 (Fedora Project) 1313905434
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313307022
:/usr/lib64/libIlmImf.so.6.0.0 OpenEXR-libs-1.7.0-2.fc15.x86_64 (Fedora Project) 1306253009
:/usr/lib64/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/libtiff.so.3.9.5 libtiff-3.9.5-1.fc15.x86_64 (Fedora Project) 1306252959
:/usr/lib64/libdrm_nouveau.so.1.0.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1307766831
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1306252949
:/usr/lib64/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306253050
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1306252960
:/usr/lib64/libopenal.so.1.13.0 libopenal1-soft-1.13-6.2.x86_64 (obs://build.opensuse.org/games) 1312438310
:/usr/lib64/libImath.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306252996
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306252953
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308322725
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313561839

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-renich
:XDG_SESSION_ID=1
:HOSTNAME=introdesk.casa
:GIO_LAUNCHED_DESKTOP_FILE_PID=21966
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-0dnTlh/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=c6020075bb2eed3fdede166a00000010-1314973003.160050-699899011
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-0dnTlh
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=renich
:SSH_AUTH_SOCK=/tmp/keyring-0dnTlh/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2186,unix/unix:/tmp/.ICE-unix/2186
:USERNAME=renich
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-blender.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/renich/bin
:MAIL=/var/spool/mail/renich
:QT_IM_MODULE=xim
:PWD=/home/renich
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=2178
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/renich
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=renich
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Sa64GR7nAQ,guid=471dc94480377c564d4ed9a30000002f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/renich
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-renich-Frjvfg/database
:_=/usr/bin/blender.bin

var_log_messages:
:Sep  2 22:06:24 introdesk abrt[19610]: saved core dump of pid 19296 (/usr/bin/blender.bin) to /var/spool/abrt/ccpp-2011-09-02-22:06:23-19296.new/coredump (96403456 bytes)
:Sep  2 22:55:21 introdesk abrt[21939]: saved core dump of pid 21828 (/usr/bin/blender.bin) to /var/spool/abrt/ccpp-2011-09-02-22:55:21-21828.new/coredump (86196224 bytes)
:Sep  2 23:46:02 introdesk kernel: [52207.058407] blender.bin[22417]: segfault at 0 ip 00007f21dcf7e4c7 sp 00007fff32527a30 error 6 in nouveau_dri.so[7f21dcec1000+401000]
:Sep  2 23:46:04 introdesk abrt[23435]: saved core dump of pid 22417 (/usr/bin/blender.bin) to /var/spool/abrt/ccpp-2011-09-02-23:46:02-22417.new/coredump (114008064 bytes)

xsession_errors:
:*** glibc detected *** /usr/bin/blender.bin: double free or corruption (fasttop): 0x00000000022c2760 ***
:/usr/bin/blender.bin(uiRoundBoxEmboss+0x35c)[0x79e64c]
:/usr/bin/blender.bin(headerbox+0xc5)[0x583615]
:/usr/bin/blender.bin(scrarea_do_headdraw+0x24)[0x583794]
:/usr/bin/blender.bin(screenmain+0x632)[0x587192]
:/usr/bin/blender.bin(main+0x31c)[0x55b9dc]
:/usr/bin/blender.bin[0x562241]
:00400000-00f68000 r-xp 00000000 fd:01 1735035                            /usr/bin/blender.bin
:01168000-0131b000 rw-p 00b68000 fd:01 1735035                            /usr/bin/blender.bin
:*** glibc detected *** /usr/bin/blender.bin: double free or corruption (fasttop): 0x00000000028e1110 ***
:/usr/bin/blender.bin(uiRoundBoxEmboss+0x35c)[0x79e64c]
:/usr/bin/blender.bin(headerbox+0xc5)[0x583615]
:/usr/bin/blender.bin(scrarea_do_headdraw+0x24)[0x583794]
:/usr/bin/blender.bin(screenmain+0x632)[0x587192]
:/usr/bin/blender.bin(main+0x31c)[0x55b9dc]
:/usr/bin/blender.bin[0x562241]
:00400000-00f68000 r-xp 00000000 fd:01 1735035                            /usr/bin/blender.bin
:01168000-0131b000 rw-p 00b68000 fd:01 1735035                            /usr/bin/blender.bin
:*** glibc detected *** /usr/bin/blender.bin: double free or corruption (fasttop): 0x0000000002b33e30 ***
:/usr/bin/blender.bin(uiRoundBoxEmboss+0x35c)[0x79e64c]
:/usr/bin/blender.bin(headerbox+0xc5)[0x583615]
:/usr/bin/blender.bin(scrarea_do_headdraw+0x24)[0x583794]
:/usr/bin/blender.bin(screenmain+0x632)[0x587192]
:/usr/bin/blender.bin(main+0x31c)[0x55b9dc]
:/usr/bin/blender.bin[0x562241]
:00400000-00f68000 r-xp 00000000 fd:01 1735035                            /usr/bin/blender.bin
:01168000-0131b000 rw-p 00b68000 fd:01 1735035                            /usr/bin/blender.bin

Comment 1 Renich Bon Ciric 2011-09-04 02:47:13 UTC
Created attachment 521354 [details]
File: maps

Comment 2 Nicolas Chauvet (kwizart) 2012-08-01 18:41:21 UTC
F-15 is now EOL, please reproduce with a more recent version


Note You need to log in before you can comment on or make changes to this bug.